Loading...
Searching...
No Matches
BALL::TreeWidth< UndirectedGraph >::BagContentWriter Class Reference

`#include <BALL/DATATYPE/GRAPH/treeWidth.h>`

## Public Member Functions

| BagContentWriter (TreeDecomposition const *td, UndirectedGraph const *original_graph)
void | operator() (std::ostream &out, const TreeDecompositionBag &v) const

## Protected Attributes

TreeDecomposition const * | td_
UndirectedGraph const * | original_graph_

## Detailed Description

template<class UndirectedGraph>
class BALL::TreeWidth< UndirectedGraph >::BagContentWriter

PropertyWriter for graphviz output.

Definition at line 152 of file treeWidth.h.

## Constructor & Destructor Documentation

## BagContentWriter()

template<class UndirectedGraph>

BALL::TreeWidth< UndirectedGraph >::BagContentWriter::BagContentWriter | ( | TreeDecomposition const * | td,
|  | UndirectedGraph const * | original_graph )

inline

Definition at line 155 of file treeWidth.h.

## Member Function Documentation

## operator()()

template<class UndirectedGraph>

void BALL::TreeWidth< UndirectedGraph >::BagContentWriter::operator() | ( | std::ostream & | out,
|  | const TreeDecompositionBag & | v ) const

## Member Data Documentation

## original_graph_

template<class UndirectedGraph>

UndirectedGraph const* BALL::TreeWidth< UndirectedGraph >::BagContentWriter::original_graph_

protected

Definition at line 164 of file treeWidth.h.

## td_

template<class UndirectedGraph>

TreeDecomposition const* BALL::TreeWidth< UndirectedGraph >::BagContentWriter::td_

protected

Definition at line 163 of file treeWidth.h.